Bug 19746 - Problem with PCMCIA Ethernet card.
Problem with PCMCIA Ethernet card.
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-10-25 08:16 EDT by Jean-Yves Toumit
Modified: 2007-04-18 12:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-14 21:54:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jean-Yves Toumit 2000-10-25 08:16:44 EDT
I have an Edimax PCMCIA Ethernet card on a ThinkPad 600E.
The linux kernel shipped with RedHat produces a strange error : the card is
recognized but the ifup gives :
cardmgr : bind 'pcnet_cs' to socket 0 failed: operation not permitted.
I had to recompile a new kernel 2.2.17 (with a new config), download
pcmcia_cs-3.1.1 (older than the one shipped in the RedHat 7 kernel!), to
fix this (works great).
Comment 1 Christian Schaller 2000-11-17 16:56:42 EST
I have a ThinkPad 600 which gives the following error when trying to initalize
the pcmcia card during boot:
Bad bridge mapping at 0x00001000! not found
DS: No socket driver loaded

The laptop and card worked perfectly with RH6.2.

Has tried with two different pcmcia cards and both get same message.

I am not sure if this is exactly the same bug as this one, but it is pretty close :)
Comment 2 David Hinds 2000-11-21 23:40:01 EST
These are two unrelated bugs.

I don't know what to say about the "operation not permitted" issue.  I have had
one or two other reports of this over the past few years; the problem went away
after some combination of kernel and PCMCIA rebuilds.  I never was able to
reproduce it.

The "bad bridge mapping" error is a BIOS bug; the BIOS is configuring one of the
CardBus sockets with a memory address of 0x00001000 which is obviously bogus. 
You can work around the problem by overriding the memory address in
/etc/sysconfig/pcmcia with a line like CORE_OPTS="cb_mem_base=0xb0000000".

(you may need to experiment with addresses in place of 0xb0000000; that is just
a wild guess.  Look at /proc/pci and see what memory regions other PCI cards are
using, and pick something that looks consistent with that)

-- Dave

Note You need to log in before you can comment on or make changes to this bug.